#version 450

layout(location = 0) in vec3 position;
layout(location = 1) in vec3 color;
layout(location = 2) in vec3 normal_in;
layout(location = 3) in vec2 tex_coords;
layout(location = 0) out vec2 tex_coord;
layout(location = 1) out vec3 normal;
layout(set = 0, binding = 0) uniform UniformBufferObject {
    mat4x4 projection;
} view;
void main() {
    gl_Position = view.projection * vec4(position, 1.0);
    tex_coord = tex_coords;
    normal = normal_in;
    // gl_Position
    // out_color = color;
}
